import Vue from 'vue';
import VueRouter from 'vue-router';
import checkLogin from './before';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'home',
    component: () => import('../views/home/index.vue'),
  },
  // 科技政务
  {
    path: '/government/index',
    component: () => import('../views/government/index.vue'),
  },
  // 科技政务-栏目列表
  {
    path: '/government/columnDetail',
    component: () => import('../views/government/columnDetail.vue'),
  },
  // 科技政务-信息列表
  {
    path: '/government/messageInfoDetail',
    component: () => import('../views/government/messageInfoDetail.vue'),
  },
  // 科技政策
  {
    path: '/policy/index',
    component: () => import('../views/policy/index.vue'),
  },
  // 科技政策-栏目列表
  {
    path: '/policy/columnDetail',
    component: () => import('../views/policy/columnDetail.vue'),
  },
  // 科技政策-信息列表
  {
    path: '/policy/messageInfoDetail',
    component: () => import('../views/policy/messageInfoDetail.vue'),
  },
  // 科技数据
  {
    path: '/record/index',
    component: () => import('../views/record/index.vue'),
  },
  // 科技数据-栏目列表
  {
    path: '/record/columnDetail',
    component: () => import('../views/record/columnDetail.vue'),
  },
  // 科技数据-信息列表
  {
    path: '/record/messageInfoDetail',
    component: () => import('../views/record/messageInfoDetail.vue'),
  },
  // 科技服务
  {
    path: '/serve/index',
    component: () => import('../views/serve/index.vue'),
  },
  // 科技服务-栏目列表
  {
    path: '/serve/columnDetail',
    component: () => import('../views/serve/columnDetail.vue'),
  },
  // 科技服务-信息列表
  {
    path: '/serve/messageInfoDetail',
    component: () => import('../views/serve/messageInfoDetail.vue'),
  },
  // 科技资源
  {
    path: '/resource/index',
    component: () => import('../views/resource/index.vue'),
  },
  // 科技人才-栏目管理
  {
    path: '/personnel/column',
    component: () => import('../views/personnel/column.vue'),
  },
  // 科技人才-添加栏目
  {
    path: '/personnel/columnDetail',
    component: () => import('../views/personnel/columnDetail.vue'),
  },
  // 科技人才-招聘信息管理
  {
    path: '/personnel/recruit',
    component: () => import('../views/personnel/recruit.vue'),
  },
  // 科技人才-添加招聘信息
  {
    path: '/personnel/recruitDetail',
    component: () => import('../views/personnel/recruitDetail.vue'),
  },
  // 科技人才-人才信息管理
  {
    path: '/personnel/resume',
    component: () => import('../views/personnel/resume.vue'),
  },
  // 科技人才-添加人才
  {
    path: '/personnel/resumeDetail',
    component: () => import('../views/personnel/resumeDetail.vue'),
  },
  // 科技人才-专家信息管理
  {
    path: '/personnel/experts',
    component: () => import('../views/personnel/experts.vue'),
  },
  // 科技人才-添加专家
  {
    path: '/personnel/expertsDetail',
    component: () => import('../views/personnel/expertsDetail.vue'),
  },
  // 科技人才-基本信息管理
  {
    path: '/personnel/informate',
    component: () => import('../views/personnel/informate.vue'),
  },
  // 科技人才-添加基本信息
  {
    path: '/personnel/informateDetail',
    component: () => import('../views/personnel/informateDetail.vue'),
  },
  //科技超市企业状态审核管理
  {
    path: '/enterprise/index',
    component: () => import('../views/enterprise/index.vue'),
  },

  //科技超市交易审核管理
  {
    path: '/enterprise/transaction',
    component: () => import('../views/enterprise/transaction.vue'),
  },

  //科技超市交易审核详情
  {
    path: '/enterprise/detail',
    component: () => import('../views/enterprise/detail.vue'),
  },
  // 站点信息
  {
    path: '/site/index',
    meta: { title: '网站设置' },
    component: () => import('../views/site/index.vue'),
  },
  // 用户管理
  {
    path: '/user/index',
    meta: { title: '用户设置' },
    component: () => import('../views/user/index.vue'),
  },
  {
    path: '/user/detail',
    meta: { title: '添加用户' },
    component: () => import('../views/user/detail.vue'),
  },
  // 友情链接管理
  {
    path: '/links/index',
    meta: { title: '友情链接' },
    component: () => import('../views/links/index.vue'),
  },
  {
    path: '/links/detail',
    meta: { title: '友情链接' },
    component: () => import('../views/links/detail.vue'),
  },
  // 产品类型字典表
  {
    path: '/supermaket/chanpinType',
    component: () => import('../views/supermaket/chanpinType.vue'),
  },
  // 添加产品类型字典表
  {
    path: '/supermaket/chanpinTypeDetail',
    component: () => import('../views/supermaket/chanpinTypeDetail.vue'),
  },
  {
    path: '/dictionary',
    meta: { title: '字典管理' },
    component: () => import('../views/dictionary/index.vue'),
  },
  {
    path: '/present',
    meta: { title: '礼物管理' },
    component: () => import('../views/present/index.vue'),
  },

  //对接会
  //对接会列表
  {
    path: '/duijiehui/index',
    component: () => import('../views/duijiehui/index.vue'),
  },
  //对接会详情
  {
    path: '/duijiehui/detail',
    component: () => import('../views/duijiehui/detail.vue'),
  },
  //对接会审核
  {
    path: '/duijiehui/duijieshenhe',
    component: () => import('../views/duijiehui/duijieshenhe.vue'),
  },
  //对接会审核详情
  {
    path: '/duijiehui/duijiedetail',
    component: () => import('../views/duijiehui/duijiedetail.vue'),
  },

  //权限管理
  //权限管理-权限列表
  {
    path: '/permission/index',
    component: () => import('../views/permission/index.vue'),
  },
  //权限管理-分配权限
  {
    path: '/permission/detail',
    component: () => import('../views/permission/detail.vue'),
  },
  //模块
  {
    path: '/lanmu/detali',
    component: () => import('../views/lanmu/detali.vue'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes,
});
checkLogin(router);

export default router;
