const path = require('path');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  // outputDir: process.env.VUE_APP_ROUTER,
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      // '/api': {
      //   target: 'http://smart.cc-lotus.info',
      //   ws: true,
      // },
      '/files': {
        target: 'http://free.liaoningdoupo.com',
      },
      '/api/setting': {
        target: 'http://10.16.10.72:9000',
        changeOrigin: true,
        ws: true,
      },
      '/api/affairs': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/api/policy': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/api/record': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/api/serve': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
        // pathRewrite: { '^/api/affairs': '/api' },
      },
      '/api/talent': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
        // pathRewrite: { '^/api/affairs': '/api' },
      },
      '/api/market': {
        target: 'http://10.16.10.72:9004',
        changeOrigin: true,
        ws: true,
        // pathRewrite: { '^/api/affairs': '/api' },
      },
      '/api/live': {
        target: 'http://10.16.10.72:9009',
        changeOrigin: true,
        ws: true,
        // pathRewrite: { '^/api/affairs': '/api' },
      },
    },
  },
};
